<div class="loginFormulario" fxLayout="row" fxLayoutAlign="center end">
  <div class="divFormulario">
    <h1>Faça seu login</h1>

    <mat-divider></mat-divider>

    <div class="cardErros" *ngIf="erros.length > 0">
      <mat-card>
        <mat-card-header>
          <mat-card-title>
            Algo deu errado :(
          </mat-card-title>
        </mat-card-header>

        <mat-divider></mat-divider>

        <mat-card-content>
          <div class="divErros">
            <h4 *ngFor="let erro of erros" class="textoErros">
              {{erro}}
            </h4>
          </div>
        </mat-card-content>

      </mat-card>

    </div>

    <div class="formulario">
      <form [formGroup]="formulario" (ngSubmit)="EnviarFormulario()">
        <div>
          <mat-form-field>
            <mat-label>Email</mat-label>
            <input type="email" formControlName="email" placeholder="Digite o seu email" matInput required minlength="10" maxlength="50"/>
            <mat-error *ngIf="propriedade.email.touched && propriedade.email.invalid">
              <sup>*</sup>Digite o seu email
            </mat-error>
            <mat-error *ngIf="propriedade.email.errors?.minlength">
              <sup>*</sup>Use mais caracteres
            </mat-error>
            <mat-error *ngIf="propriedade.email.errors?.maxlength">
              <sup>*</sup>Use menos caracteres
            </mat-error>
          </mat-form-field>
        </div>

        <div>
          <mat-form-field>
            <mat-label>Senha</mat-label>
            <input type="password" formControlName="senha" placeholder="Digite sua senha" matInput required minlength="6" maxlength="50"/>
            <mat-error *ngIf="propriedade.senha.touched && propriedade.senha.invalid">
              <sup>*</sup>Digite sua senha
            </mat-error>
            <mat-error *ngIf="propriedade.senha.errors?.minlength">
              <sup>*</sup>Use mais caracteres
            </mat-error>
            <mat-error *ngIf="propriedade.senha.errors?.maxlength">
              <sup>*</sup>Use menos caracteres
            </mat-error>
          </mat-form-field>
        </div>

        <br/><br/><br/>

        <mat-divider></mat-divider>

        <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="end center" class="botoes">
          <div>
            <button type="submit" mat-stroked-button color="primary" [disabled]="formulario.invalid">
              Logar
            </button>
          </div>

          <div>
            <button type="button" mat-stroked-button color="accent" routerLink="/usuarios/registrarusuario">
              Não possuo conta
            </button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>
